Changes between Initial Version and Version 6 of Ticket #2


Ignore:
Timestamp:
01/11/14 14:57:57 (5 years ago)
Author:
ossi
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #2

    • Property Status changed from new to closed
    • Property Branch state changed from to no branch
    • Property Milestone changed from UTF8 Support to 4.7
    • Property Owner set to slavazanko
    • Property Resolution changed from to fixed
  • Ticket #2 – Description

    initial v6  
    77||Release:||4.6.0||Operating System:||GNU/Linux|| 
    88 
    9 Discussion 
     9Original submission: 
    1010{{{ 
    11 Fri 09 Mar 2007 08:31:57 PM UTC, comment #6: 
     11I use a locale with UTF-8 character encoding, which is supported by  
     12the terminal I use (gnome-terminal). When I run mc on that  
     13configuration, the display appears distorted. It seems that it's  
     14because my non-ASCII file names have less characters than strlen()  
     15returns (there are several octets for some characters), and thus the 
     16 frames don't get positioned in their appropriate columns. 
     17}}} 
    1218 
    13 Non-support of UTF-8 is a real problem for many server  
    14 administrators. MC is the only capable text based file manager  
    15 available for server administration over remote terminal access.  
    16 Using the reduced character set mode ( mc -a ) is definitely a  
    17 sub-optimal solution. It would be very helpful is this issue gets  
    18 fixed. 
    19         tony thedford <tonythed> 
     19Comment 1 by Egmont Koblinger <egmont> at Tue 30 Nov 2004 09:30:53 AM UTC: 
     20{{{ 
     21Take the patches from Fedora Core or SUSE. First for slang, 
     22and later for mc. Also convert the help and hint files to 
     23UTF-8. You'll have quite good (but not 100% bugless) UTF-8 
     24support. Not only for filenames, but also for the viewer, 
     25editor... 
     26AFAIK these patches will be fed back to mainstream mc for 
     27the 4.7.x series. 
     28}}} 
    2029 
    21 Wed 20 Sep 2006 04:56:31 PM UTC, comment #5: 
     30Comment 2 by Itzchak Rehberg <izzysoft> at Wed 21 Sep 2005 10:14:43 AM UTC: 
     31{{{ 
     32I saw the UTF-8 problem addressed for the 4.7 branch, which probably 
     33 is not to be expected in the really "near future". Since for  
     34multi-language requirements (German, English, Russian, Hebrew) I am  
     35depending on the UTF-8 environment, I would be more happy to see at  
     36least the filenames and editor issues addressed earlier (I can live  
     37with the English localization of the menus etc ;) 
     38As Egmont already wrote almost a year ago: There are patches  
     39available with the sources from Fedora and SuSE. For an experienced  
     40programmer, hence, it should not be too difficult to apply them? 
     41}}} 
    2242 
    23 Sorry, the Fedora URL was meant to be 
    24 http://download.fedora.redhat.com/pub/fedora/linux/core/development/source/SRPMS/ 
    25 check the directory listing for the exact filename. 
    26         Egmont Koblinger <egmont> 
    27 Wed 20 Sep 2006 04:53:15 PM UTC, comment #4: 
     43Comment 3 by Miguel Pérez <wiseman1024> at Wed 20 Sep 2006 03:47:07 PM UTC: 
     44{{{ 
     45I've been using SuSE's mc for a year, dealing with files with  
     46non-ASCII characters (even CJK), as well as editing them and  
     47introducing these characters myself, without ever having a single  
     48problem. 
    2849 
     50Can somebody post a link to the patches of SuSE or Fedora? I could  
     51try to apply them myself if I'm going to compile mc from source. 
     52}}} 
     53 
     54Comment 4 by Egmont Koblinger <egmont> at Wed 20 Sep 2006 04:53:15 PM UTC: 
     55{{{ 
    2956ftp://ftp.suse.com/pub/suse/i386/9.3/suse/src/ 
    3057http://download.fedora.redhat.com/pub/fedora/linux/core/development/source/SRPMS/mc-4.6.1a-28.fc6.src.rpm 
     
    3966 
    4067Note that you need either slang 2, or a patched version of slang 1. 
    41         Egmont Koblinger <egmont> 
    42 Wed 20 Sep 2006 03:47:07 PM UTC, comment #3: 
     68}}} 
    4369 
    44 I've been using SuSE's mc for a year, dealing with files with  
    45 non-ASCII characters (even CJK), as well as editing them and  
    46 introducing these characters myself, without ever having a single  
    47 problem. 
     70Comment 5 by Egmont Koblinger <egmont> at Wed 20 Sep 2006 04:56:31 PM UTC: 
     71{{{ 
     72Sorry, the Fedora URL was meant to be 
     73http://download.fedora.redhat.com/pub/fedora/linux/core/development/source/SRPMS/ 
     74check the directory listing for the exact filename. 
     75}}} 
    4876 
    49 Can somebody post a link to the patches of SuSE or Fedora? I could  
    50 try to apply them myself if I'm going to compile mc from source. 
    51         Miguel Pérez <wiseman1024> 
    52 Wed 21 Sep 2005 10:14:43 AM UTC, comment #2: 
     77Comment 6 by tony thedford <tonythed> at Fri 09 Mar 2007 08:31:57 PM UTC: 
     78{{{ 
     79Non-support of UTF-8 is a real problem for many server  
     80administrators. MC is the only capable text based file manager  
     81available for server administration over remote terminal access.  
     82Using the reduced character set mode ( mc -a ) is definitely a  
     83sub-optimal solution. It would be very helpful is this issue gets  
     84fixed. 
     85}}} 
    5386 
    54 I saw the UTF-8 problem addressed for the 4.7 branch, which probably 
    55  is not to be expected in the really "near future". Since for  
    56 multi-language requirements (German, English, Russian, Hebrew) I am  
    57 depending on the UTF-8 environment, I would be more happy to see at  
    58 least the filenames and editor issues addressed earlier (I can live  
    59 with the English localization of the menus etc ;) 
    60 As Egmont already wrote almost a year ago: There are patches  
    61 available with the sources from Fedora and SuSE. For an experienced  
    62 programmer, hence, it should not be too difficult to apply them? 
    63         Itzchak Rehberg <izzysoft> 
    64 Tue 30 Nov 2004 09:30:53 AM UTC, comment #1: 
    65  
    66 Take the patches from Fedora Core or SUSE. First for slang, 
    67 and later for mc. Also convert the help and hint files to 
    68 UTF-8. You'll have quite good (but not 100% bugless) UTF-8 
    69 support. Not only for filenames, but also for the viewer, 
    70 editor... 
    71 AFAIK these patches will be fed back to mainstream mc for 
    72 the 4.7.x series. 
    73         Egmont Koblinger <egmont> 
    74 Sat 28 Feb 2004 08:34:30 PM UTC, original submission: 
    75  
    76 I use a locale with UTF-8 character encoding, which is supported by  
    77 the terminal I use (gnome-terminal). When I run mc on that  
    78 configuration, the display appears distorted. It seems that it's  
    79 because my non-ASCII file names have less characters than strlen()  
    80 returns (there are several octets for some characters), and thus the 
    81  frames don't get positioned in their appropriate columns. 
    82 }}}